Ticket #1664 (closed feature request: fixed)

Opened 5 years ago

Last modified 4 years ago

n.n.accounts: Make MidCOM an OpenID provider

Reported by: bergie Assigned to: indeyets
Priority: major Milestone: 8.09.8 Ragnaroek
Component: MidCOM component Version: 8.09 Ragnaroek
Keywords: Cc:

Description

OpenID is an increasingly popular way for providing single sign-on and federated identities for users of web services.

MidCOM has supported OpenID registration and login for a while now (http://bergie.iki.fi/blog/midgard_supports_openid/), and while that implementation should be checked for functioning, we also need an implementation that goes the other way: allowing users utilize their Midgard accounts for login and registration to external web services.

The OpenID identity URL should probably be the user's n.n.accounts profile page (see for example http://maemo.org/profile/view/bergie/)

Change History

02/18/10 19:04:34 changed by indeyets

  • status changed from new to assigned.

02/24/10 14:59:16 changed by indeyets

(In [25189]) configuration option for adding openid-related links/headers to output. refs #1664

03/17/10 14:31:11 changed by bergie

  • status changed from assigned to closed.
  • resolution set to fixed.

This is now done in net.nemein.openidprovider. See http://bergie.iki.fi/blog/register_and_log_into_meego-com_using_your_maemo-org_account/ for more information.